Cyberduck Mountain Duck CLI

#187 closed defect (worksforme)

launches but no new window, launched its .app( in show package contence) and this is what i got

Reported by: anonymous Owned by: anonymous
Priority: high Milestone: 2.5.5
Component: interface Version: 2.5.5
Severity: blocker Keywords:
Cc: todd@…, schoenw2002@…, jrdittmann@…, panayotis@…, vincentobrien@… Architecture:
Platform:

Description (last modified by dkocher)

I recognize some of this stuff from coca and core data Developer info (CS student), I'm certian the developers will find this usefull

Welcome to Darwin!
adsl-70-130-135-107:~ user$ /Users/user/Desktop/Cyberduck.app/Contents/MacOS/Cyberduck; exit
2006-02-04 14:25:49.597 Cyberduck[790] Unknown class `ch.cyberduck.ui.cocoa.CDMainController' in nib file, using `NSObject' instead.
2006-02-04 14:25:49.599 Cyberduck[790] Could not connect the action donateMenuClicked: to target of class NSObject
2006-02-04 14:25:49.599 Cyberduck[790] Could not connect the action licenseMenuClicked: to target of class NSObject
2006-02-04 14:25:49.600 Cyberduck[790] Could not connect the action preferencesMenuClicked: to target of class NSObject
2006-02-04 14:25:49.600 Cyberduck[790] Could not connect the action feedbackMenuClicked: to target of class NSObject
2006-02-04 14:25:49.600 Cyberduck[790] Could not connect the action updateMenuClicked: to target of class NSObject
2006-02-04 14:25:49.601 Cyberduck[790] Could not connect the action newDownloadMenuClicked: to target of class NSObject
2006-02-04 14:25:49.601 Cyberduck[790] Could not connect the action newBrowserMenuClicked: to target of class NSObject
2006-02-04 14:25:49.602 Cyberduck[790] Could not connect the action newBrowserMenuClicked: to target of class NSObject
2006-02-04 14:25:49.602 Cyberduck[790] Could not connect the action downloadBookmarksFromDotMacClicked: to target of class NSObject
2006-02-04 14:25:49.603 Cyberduck[790] Could not connect the action uploadBookmarksToDotMacClicked: to target of class NSObject
2006-02-04 14:25:49.603 Cyberduck[790] Could not connect the action helpMenuClicked: to target of class NSObject
2006-02-04 14:25:49.604 Cyberduck[790] Could not connect the action bugreportMenuClicked: to target of class NSObject
2006-02-04 14:25:49.610 Cyberduck[790] Can't open input server /Library/InputManagers/Smart Crash Reports.bundle

If anyone has a solution or the application has been updated to resolve this matter pleas email me at mehemiah5@…, as for my system it is < iMacG5 2Ghz 10.4, devtools unpacked >

Change History (22)

comment:1 Changed on Feb 4, 2006 at 8:42:37 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Feb 4, 2006 at 8:47:11 PM by dkocher

  • Cc mehemiah5@… added
  • Priority changed from high to normal
  • Severity changed from major to blocker

Check if you can launch the application from the mounted disk image.

comment:3 Changed on Feb 5, 2006 at 9:14:43 PM by jrdittmann@…

Yeah - I have the same problem(s). Newly installed Cyberduck.

Does NOT work from Disk Image.

comment:4 Changed on Feb 7, 2006 at 1:45:50 PM by panayotis@…

I have exactly the same problem myself. Mac Mini with 10.4.4 OS X.

comment:5 Changed on Feb 9, 2006 at 7:18:53 AM by schoenw2002@…

  • Priority changed from normal to high

Same problem with Cyberduck 2.5.4 on powerbook G4 1,33 GHz. Does not start at system disk. All of a sudden. I think is has something to do with 10.4.3 update.

chris

comment:6 Changed on Feb 13, 2006 at 12:52:53 PM by anonymous

  • Milestone set to 2.5.5
  • Owner changed from dkocher to anonymous
  • Status changed from new to assigned

comment:7 Changed on Feb 13, 2006 at 1:13:26 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:8 Changed on Mar 8, 2006 at 3:46:14 PM by todd@…

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 2.5.4 to 2.5.5

This is still present.

comment:9 Changed on Mar 8, 2006 at 4:13:20 PM by dkocher

  • Cc todd@… schoenw2002@… jrdittmann@… panayotis@… vincentobrien@… added; mehemiah5@… removed

Does it work when launching Cyberduck under a different user account?

comment:10 Changed on Mar 8, 2006 at 7:25:13 PM by todd@…

Nope. Fails.

Launched from drive, this also behaves the same.

comment:11 Changed on Mar 10, 2006 at 12:17:37 PM by lindsve@…

I have this one too, and it has been present for quite a while now. I haven't been able to open Cyberduck for who knows how long, and that bothers me, because I'm considering switching to it.

Here is my output from console.app:

2006-03-10 13:13:38.893 Cyberduck[5894] Unknown class ch.cyberduck.ui.cocoa.CDMainController' in nib file, using NSObject' instead. 2006-03-10 13:13:38.903 Cyberduck[5894] Could not connect the action donateMenuClicked: to target of class NSObject 2006-03-10 13:13:38.904 Cyberduck[5894] Could not connect the action licenseMenuClicked: to target of class NSObject 2006-03-10 13:13:38.904 Cyberduck[5894] Could not connect the action preferencesMenuClicked: to target of class NSObject 2006-03-10 13:13:38.904 Cyberduck[5894] Could not connect the action feedbackMenuClicked: to target of class NSObject 2006-03-10 13:13:38.904 Cyberduck[5894] Could not connect the action updateMenuClicked: to target of class NSObject 2006-03-10 13:13:38.904 Cyberduck[5894] Could not connect the action newDownloadMenuClicked: to target of class NSObject 2006-03-10 13:13:38.904 Cyberduck[5894] Could not connect the action newBrowserMenuClicked: to target of class NSObject 2006-03-10 13:13:38.905 Cyberduck[5894] Could not connect the action newBrowserMenuClicked: to target of class NSObject 2006-03-10 13:13:38.906 Cyberduck[5894] Could not connect the action downloadBookmarksFromDotMacClicked: to target of class NSObject 2006-03-10 13:13:38.907 Cyberduck[5894] Could not connect the action uploadBookmarksToDotMacClicked: to target of class NSObject 2006-03-10 13:13:38.907 Cyberduck[5894] Could not connect the action helpMenuClicked: to target of class NSObject 2006-03-10 13:13:38.908 Cyberduck[5894] Could not connect the action bugreportMenuClicked: to target of class NSObject

comment:12 Changed on Mar 16, 2006 at 8:30:54 AM by yol250@…

I've just had the same problem, but in different circumstances (which may bring some light, hopefully).

I have 10.3.9 installed. I force installed java 1.5 from apple, using a similar approach as in http://www.macosxhints.com/article.php?story=2005043002313964

(which is bad practice, I would'nt recommend this to anyone, since it apparently broke several java/cocoa apps).

After a few mistakes (which caused Cyberduck simlpy not to launch), I got the same result.

Switching back to 1.4.2 (by just modifying the symbolic link Current and CurrentJDK in /System/Library/Frameworks/JavaVM/Version) does'nt help. My guess is that java 1.5 somehow modifies the way java/cocoa apps work, in a more radical fashion that simply using a new vm.

Well, that's just a wild guess.

comment:13 Changed on Mar 17, 2006 at 9:03:10 PM by anonymous

I have the same problem with OSX 10.4.5, Cyberduck 2.5.5 (both newly installed !)

comment:14 Changed on Mar 18, 2006 at 7:01:35 PM by daryl.spitzer@…

I have the same problem with OS X 10.4.5. and Cyberduck 2.5.5 also. Since I last successfully used Cyberduck, I upgrade to 10.4.5 and installed Java 1.5 (and modified the Current and CurrentJDK symbolic links as described above).

comment:15 Changed on Mar 19, 2006 at 9:16:41 AM by lindsve@…

Installation of Java 1.5 seem to be the trouble here, since I have also done that prior to trying Cyberduck.

comment:16 Changed on Mar 19, 2006 at 4:33:50 PM by dkocher

Installing Java 1.5 is no problem at all. Modifying symlinks in /System/Library/Frameworks/JavaVM.framework/ however will break Cocoa applications dependant from Java and possibly later OS upgrades. Use /Applications/Utilities/Java/J2SE\ 5.0/Java\ Preferences.app to modify the default Java version which allows you to modify the Java version Cyberduck uses. To change the default JDK for your shell refer to .bash_profile and 'man bash' if you are using the bash shell.

Anyone having the problem described without modifying symbolic links?

comment:17 Changed on Mar 20, 2006 at 12:40:29 AM by anonymous

I have solved the problem by doing :

  1. Verify that you have the following lines in /System/Library/Frameworks/JavaVM.framework/Versions :
drwxr-xr-x    6 root  wheel  204 Mar 13 23:52 A
lrwxr-xr-x    1 root  wheel    1 Nov 16 21:48 Current -> A
lrwxr-xr-x    1 root  wheel    5 Nov 16 21:50 CurrentJDK -> 1.5.0

If not, create it.

  1. Go in Applications -> Utilitaires -> Java -> J2SE5.0 -> Java Preferences -> General. Put 1.4.2 in "Utiliser la version :" and move J2SE 1.4.2 before J2SE 5.0 in the box in the middleof the window. Clic "Save".
  1. Repete 2. but in "Utiliser la version:" put J2SE 5.0 and move J2SE 5.0 before J2SE 1.4.2 in the box in the middle of the window. Clic "save".
  1. Run Cyberduck.

(Sorry for the french word, but my OSX is in french).

comment:18 Changed on Mar 20, 2006 at 10:17:52 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:19 Changed on Mar 22, 2006 at 11:01:09 PM by todd@…

Confirming fix. Worksforme as well.

comment:21 Changed on Apr 19, 2006 at 9:08:59 AM by anonymous

The Java update released today (Java 2 Standard Edition (J2SE) 5.0 Release 4) solved this issue on my computer.

Note: See TracTickets for help on using tickets.
swiss made software